.shell-working-space h2{
    font-size:30px;
    font-weight:600;
    margin:0 0 40px 0;
}
.shell-working-space h3{
    font-size:25px;
    font-weight:500;
    margin:15px 0 15px 0;
}
.shell-working-space h4{
    font-size:20px;
    font-weight:500;
    margin:15px 0 15px 0;
}
.shell-working-space h5{
    font-size:16px;
    font-weight:500;
    margin:15px 0 15px 0;
}
.big-section{
    position:relative;
    width:100%;
    background:White;
    padding:10px;
    display:inline-block;
    box-sizing:border-box;
    border-radius:3px;
    margin:5px 0 5px 0;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .2);
}
.shell-working-space .top-bar{
    position:absolute;
    top:10px;
    right:20px;
    z-index:1000;
    padding:7px 5px 7px 5px;
    background:rgba(0,0,0,0.1);
    border-radius:3px;
    display:flex;
    align-items:center;
    justify-content:center;
}
.top-bar.fixed{
    position:fixed;
}
.shell-working-space .top-bar .button{
    position:Relative;
    border-radius:2px;
    background:White;
    font-size:12px;
    margin:0 2px 0 2px;
    padding:10px 14px 10px 14px;
    cursor:pointer;
    transition:0.1s;
    box-shadow:0 0px 2px 1px rgba(0,0,0,0.1);
}
.shell-working-space .top-bar .button.delete{
    background:var(--delete-element);
    color:White;
}
.shell-working-space .top-bar .button.delete:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f1f8";
}
.shell-working-space .top-bar .button.exit{
    background:var(--delete-element);
    color:White;
}
.shell-working-space .top-bar .button.exit:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f08b";
}
.shell-working-space .top-bar .button.save{
    background:var(--action-element);
    color:White;
}
.shell-working-space .top-bar .button.save:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f0c7";
}
.shell-working-space .top-bar .button.edit:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f044";
}
.shell-working-space .top-bar .button.add:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f067";
}
.shell-working-space .top-bar .button.filter:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f0b0";
}
.shell-working-space .top-bar .button:hover{
    box-shadow:0 1px 2px 1px rgba(0,0,0,0.4);
}
.shell-working-space .top-bar .button.shortcode:before{
    font-family: "Font Awesome 5 Pro";
    margin:0 5px 0 0;
    content:"\f121";
}
.shell-working-space .top-bar .shortcode:hover{
    box-shadow:0 1px 2px 1px rgba(0,0,0,0.4);
}
.CodeMirror{
    height:calc((100vw - 240px) / 3.2 - 1px) !important;
    width:100%;
    flex-basis:100%;
    min-height:300px;
}